curl --request PATCH \
--url https://cloud.laravel.com/api/instances/{instance} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"max_replicas": 123,
"min_replicas": 123,
"hibernation_timeout": 123,
"uses_sleep_mode": true,
"sleep_timeout": 30,
"uses_scheduler": true,
"sleep_with_app": true,
"uses_octane": true,
"uses_inertia_ssr": true,
"scaling_cpu_threshold_percentage": 72,
"scaling_memory_threshold_percentage": 72,
"visibility_timeout": 21600,
"polling_interval": 30,
"shutdown_timeout": 0
}
'import requests
url = "https://cloud.laravel.com/api/instances/{instance}"
payload = {
"name": "<string>",
"max_replicas": 123,
"min_replicas": 123,
"hibernation_timeout": 123,
"uses_sleep_mode": True,
"sleep_timeout": 30,
"uses_scheduler": True,
"sleep_with_app": True,
"uses_octane": True,
"uses_inertia_ssr": True,
"scaling_cpu_threshold_percentage": 72,
"scaling_memory_threshold_percentage": 72,
"visibility_timeout": 21600,
"polling_interval": 30,
"shutdown_timeout": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
max_replicas: 123,
min_replicas: 123,
hibernation_timeout: 123,
uses_sleep_mode: true,
sleep_timeout: 30,
uses_scheduler: true,
sleep_with_app: true,
uses_octane: true,
uses_inertia_ssr: true,
scaling_cpu_threshold_percentage: 72,
scaling_memory_threshold_percentage: 72,
visibility_timeout: 21600,
polling_interval: 30,
shutdown_timeout: 0
})
};
fetch('https://cloud.laravel.com/api/instances/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "instances",
"attributes": {
"name": "<string>",
"min_replicas": 123,
"max_replicas": 123,
"paused": true,
"is_default": true,
"visibility_timeout": 123,
"polling_interval": 123,
"shutdown_timeout": 123,
"uses_scheduler": true,
"sleep_with_app": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"type": "environments",
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"type": "background_processes",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "environments",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"created_from_automation": true,
"vanity_domain": "<string>",
"build_command": "<string>",
"deploy_command": "<string>",
"uses_octane": true,
"uses_hibernation": true,
"hibernation_wake_up_interval": 123,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [],
"rate_limit": {
"429": true,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z",
"": {
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
]
}
},
"relationships": {
"application": {
"data": {
"type": "applications",
"id": "<string>"
}
},
"branch": {
"data": {
"type": "branches",
"id": "<string>"
}
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"type": "deployments",
"id": "<string>"
}
},
"domains": {
"data": [
{
"type": "domains",
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"type": "domains",
"id": "<string>"
}
},
"instances": {
"data": [
{
"type": "instances",
"id": "<string>"
}
]
},
"database": {
"data": {
"type": "databaseSchemas",
"id": "<string>"
}
},
"cache": {
"data": {
"type": "caches",
"id": "<string>"
}
},
"buckets": {
"data": [
{
"type": "filesystems",
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"type": "websocketApplications",
"id": "<string>"
}
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update instance
Update an instance.
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The instance identifier
Body
3 - 40flex-512mb, flex-1gb, flex-2gb, flex.c-1vcpu-256mb, flex.g-1vcpu-512mb, flex.m-1vcpu-1gb, flex.c-2vcpu-512mb, flex.g-2vcpu-1gb, flex.m-2vcpu-2gb, flex.c-4vcpu-1gb, flex.g-4vcpu-2gb, flex.m-4vcpu-4gb, flex.c-8vcpu-2gb, flex.g-8vcpu-4gb, flex.m-8vcpu-8gb, pro.c-1vcpu-1gb, pro.g-1vcpu-2gb, pro.m-1vcpu-4gb, pro.c-2vcpu-2gb, pro.g-2vcpu-4gb, pro.m-2vcpu-8gb, pro.c-4vcpu-4gb, pro.g-4vcpu-8gb, pro.m-4vcpu-16gb, pro.c-8vcpu-8gb, pro.g-8vcpu-16gb, pro.m-8vcpu-32gb, dedicated.c-1vcpu-2gb, dedicated.g-1vcpu-4gb, dedicated.m-1vcpu-8gb, dedicated.c-2vcpu-4gb, dedicated.g-2vcpu-8gb, dedicated.m-2vcpu-16gb, dedicated.c-4vcpu-8gb, dedicated.g-4vcpu-16gb, dedicated.m-4vcpu-32gb, dedicated.c-8vcpu-16gb, dedicated.g-8vcpu-32gb, dedicated.m-8vcpu-64gb, mq-pro-256mb, mq-pro-512mb, mq-pro-1gb, mq-pro-2gb, mq-pro-4gb, mq-pro-8gb, mq-dedicated-256mb, mq-dedicated-512mb, mq-dedicated-1gb, mq-dedicated-2gb, mq-dedicated-4gb, mq-dedicated-8gb, mq-dedicated-16gb, mq.flex.256mb, mq.flex.512mb, mq.flex.1gb, mq.flex.2gb, mq.pro.256mb, mq.pro.512mb, mq.pro.1gb, mq.pro.2gb, mq.pro.4gb, mq.pro.8gb, mq.dedicated.flex.256mb, mq.dedicated.flex.512mb, mq.dedicated.flex.1gb, mq.dedicated.flex.2gb, mq.dedicated.pro.256mb, mq.dedicated.pro.512mb, mq.dedicated.pro.1gb, mq.dedicated.pro.2gb, mq.dedicated.pro.4gb, mq.dedicated.pro.8gb, mq.dedicated.pro.16gb none, custom, auto The maximum number of replicas the instance can scale to. Only applicable to the custom scaling type, and rejected when used with auto.
10
The minimum number of replicas the instance runs. Only applicable to the custom scaling type, and rejected when used with auto.
1
Number of minutes before the application hibernates. Set to null to disable hibernation, or omit it to avoid changing the hibernation settings. Takes precedence over the deprecated uses_sleep_mode and sleep_timeout fields.
5
Use hibernation_timeout instead.
Use hibernation_timeout instead.
1 <= x <= 60Whether worker replicas scale to zero alongside the app cluster, waking when they receive traffic. Only applicable to worker (service) instances.
true
50 <= x <= 9550 <= x <= 950 <= x <= 432001 <= x <= 601 <= x <= 0Was this page helpful?

